# Generated by Django 4.0.6 on 2022-07-21 03:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('books', '0004_author_remove_book_author_bookreview_book_authors'),
    ]

    operations = [
        migrations.CreateModel(
            name='Genres',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Issue',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=200, unique=True)),
                ('description', models.TextField(null=True)),
                ('date_published', models.DateField(null=True)),
                ('page_count', models.SmallIntegerField(null=True)),
                ('issue_number', models.SmallIntegerField(null=True)),
                ('cover_image', models.URLField(blank=True, null=True)),
                ('magazine', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='issues', to='books.magazine')),
            ],
        ),
        migrations.AddField(
            model_name='magazine',
            name='genres',
            field=models.ManyToManyField(related_name='magazines', to='books.genres'),
        ),
    ]
